| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Insert an element into a vector
Vector Conversions » Insert vector

## Overview

Inserts one element into a vector lane. The lane is given by the input idx.

## Functions
v16int4 | insert (v16int4 v, int idx, int val)
v16uint4 | insert (v16uint4 v, int idx, unsigned int val)
v2int16 | insert (v2int16 v, int idx, int val)
v2int32 | insert (v2int32 v, int idx, int val)
v2int4 | insert (v2int4 v, int idx, int val)
v2int8 | insert (v2int8 v, int idx, int val)
v2uint16 | insert (v2uint16 v, int idx, unsigned int val)
v2uint32 | insert (v2uint32 v, int idx, unsigned int val)
v2uint4 | insert (v2uint4 v, int idx, unsigned int val)
v2uint8 | insert (v2uint8 v, int idx, unsigned int val)
v4int16 | insert (v4int16 v, int idx, int val)
v4int4 | insert (v4int4 v, int idx, int val)
v4int8 | insert (v4int8 v, int idx, int val)
v4uint16 | insert (v4uint16 v, int idx, unsigned int val)
v4uint4 | insert (v4uint4 v, int idx, unsigned int val)
v4uint8 | insert (v4uint8 v, int idx, unsigned int val)
v8int4 | insert (v8int4 v, int idx, int val)
v8int8 | insert (v8int8 v, int idx, int val)
v8uint4 | insert (v8uint4 v, int idx, unsigned int val)
v8uint8 | insert (v8uint8 v, int idx, unsigned int val)

## Function Documentation

## ◆ insert() [1/20]

v16int4 insert | ( | v16int4 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [2/20]

v16uint4 insert | ( | v16uint4 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [3/20]

v2int16 insert | ( | v2int16 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [4/20]

v2int32 insert | ( | v2int32 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [5/20]

v2int4 insert | ( | v2int4 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [6/20]

v2int8 insert | ( | v2int8 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [7/20]

v2uint16 insert | ( | v2uint16 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [8/20]

v2uint32 insert | ( | v2uint32 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [9/20]

v2uint4 insert | ( | v2uint4 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [10/20]

v2uint8 insert | ( | v2uint8 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [11/20]

v4int16 insert | ( | v4int16 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [12/20]

v4int4 insert | ( | v4int4 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [13/20]

v4int8 insert | ( | v4int8 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [14/20]

v4uint16 insert | ( | v4uint16 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [15/20]

v4uint4 insert | ( | v4uint4 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [16/20]

v4uint8 insert | ( | v4uint8 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [17/20]

v8int4 insert | ( | v8int4 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [18/20]

v8int8 insert | ( | v8int8 | v,
|  | int | idx,
|  | int | val )

## ◆ insert() [19/20]

v8uint4 insert | ( | v8uint4 | v,
|  | int | idx,
|  | unsigned int | val )

## ◆ insert() [20/20]

v8uint8 insert | ( | v8uint8 | v,
|  | int | idx,
|  | unsigned int | val )